Bug 123182 - mouse inpuit mangled after X11 exits
mouse inpuit mangled after X11 exits
Product: Fedora
Classification: Fedora
Component: gpm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-05-13 13:27 EDT by Bevan Bennett
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-05 12:16:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bevan Bennett 2004-05-13 13:27:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
When running systems from bootlevel 3, console mouse input becomes
mangled on all consoles after a user exits X11. Moving the mouse at
this point generates random movement and spurious click events,
including (it appears) buffer pastes, which can seriously disrupt
console use if the mouse is bumped.

Restarting gpm corrects the problem, but root isn't there to restart
gpm after every user logs off.

I see this behavior on every one of my 40 FC1 desktops with a variety
of mice (most are Dell branded microsoft PS/2 intellimice).

While X is running (and before X is run), the mouse works normally on
the text consoles when switched to with [ctl]F1 or [ctl]F2 (etc). Once
X is exited, the incorrect behavior is observed on all text consoles


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot to console, run gpm from init.d
2. use console mouse normally
3. start X11, exit X11
4. move mouse

Actual Results:  cursor blips randomly around the screen. Random click
events and phantom carriage returns (might be from buffer pastes) are
received by console.

Expected Results:  When the user returns to the console, gpm should
provide a functional console mouse or, at worst, no mouse at all.

Additional info:
Comment 1 William M. Quarles 2004-05-20 01:23:37 EDT
I have this problem, too, except it happens even before I enter X.  I
am also using a Microsoft Intellimouse PS/2.

We were discussing this on the Fedora list recently.  I'm supplying
the URL for the archive of the thread that I started.  Note that
someone said that they believe the problems started with the
2.4.22-1.2188.nptl kernel.  I'm not certain about that, but it's possible.

Honestly, my mouse sometimes makes a boo-boo or two in X11 also, like
randomly moving a few pixels, or sometimes acting as if I released
then reclicked the mouse button while dragging.  So I still think
there is something more globally wrong here.

Here is a workaround that I've come up with for the text-mode GPM problem:

1. Run mouseconfig in text mode.
2. Choose Generic 2-button PS/2.
3. OK
   (Note that the mouse still behaves erratically).
4. Run mouseconfig again in text mode.
5. Choose Microsoft Intellimouse (PS/2) again.
6. OK

The mouse should now behave normally until the next reboot.  Then
again, that's the problem, it only works until reboot.
Comment 2 Eido Inoue 2004-11-05 12:16:25 EST
can't reproduce this anymore with current releases of gpm and fc2+.

Note You need to log in before you can comment on or make changes to this bug.